Skip to main content
GET
/
access-events
/
{accessEventId}
Get an access event
curl --request GET \
  --url https://api.useproxy.ai/v1/access-events/{accessEventId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "cardId": "<string>",
  "status": "granted",
  "intentId": "<string>",
  "purpose": "<string>",
  "expectedAmount": 123,
  "expectedCurrency": "<string>",
  "merchantText": "<string>",
  "reason": "<string>",
  "grantedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "consumedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Path Parameters

accessEventId
string
required

Access event ID

Response

Access event details

id
string
required
cardId
string
required
status
enum<string>
required
Available options:
granted,
denied,
consumed,
expired
intentId
string | null
purpose
string | null
expectedAmount
number | null
expectedCurrency
string | null
merchantText
string | null
reason
string | null
grantedAt
string<date-time> | null
expiresAt
string<date-time> | null
consumedAt
string<date-time> | null
createdAt
string<date-time> | null
updatedAt
string<date-time> | null